From c5f9c0beb5710401dfe727ed4e97fd3ffb149247 Mon Sep 17 00:00:00 2001
From: "Karl O. Pinc" <kop@karlpinc.com>
Date: Sun, 1 Oct 2023 18:06:54 -0500
Subject: [PATCH v7 14/16] Add index entries for parallel safety

Always nice to index things, and safety is important.
---
 doc/src/sgml/parallel.sgml            | 10 ++++++++++
 doc/src/sgml/ref/create_function.sgml |  6 ++++++
 2 files changed, 16 insertions(+)

diff --git a/doc/src/sgml/parallel.sgml b/doc/src/sgml/parallel.sgml
index 5acc9537d6..d523592b2a 100644
--- a/doc/src/sgml/parallel.sgml
+++ b/doc/src/sgml/parallel.sgml
@@ -523,6 +523,16 @@ EXPLAIN SELECT * FROM pgbench_accounts WHERE filler LIKE '%x%';
     </listitem>
   </itemizedlist>
 
+  <indexterm>
+    <primary>parallel safety</primary>
+    <secondary>functions</secondary>
+  </indexterm>
+
+  <indexterm>
+    <primary>parallel safety</primary>
+    <secondary>aggregates</secondary>
+  </indexterm>
+
  <sect2 id="parallel-labeling">
   <title>Parallel Labeling for Functions and Aggregates</title>
 
diff --git a/doc/src/sgml/ref/create_function.sgml b/doc/src/sgml/ref/create_function.sgml
index eb16e8adc0..419e9b7284 100644
--- a/doc/src/sgml/ref/create_function.sgml
+++ b/doc/src/sgml/ref/create_function.sgml
@@ -428,6 +428,12 @@ CREATE [ OR REPLACE ] FUNCTION
     <term><literal>PARALLEL</literal></term>
 
     <listitem>
+
+     <indexterm>
+       <primary>parallel safety</primary>
+       <secondary>functions</secondary>
+     </indexterm>
+
      <para><literal>PARALLEL UNSAFE</literal> indicates that the function
       can't be executed in <link linkend="parallel-labeling">parallel
       mode</link> and the presence of such a
-- 
2.30.2

